Skip to main content
DELETE
/
v1
/
tables
/
{table_id}
Delete Table
curl --request DELETE \
  --url https://api.retab.com/v1/tables/{table_id} \
  --header 'Api-Key: <api-key>'
{
  "tables": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Delete a table and its stored CSV snapshot.
Python
client.tables.delete(table_id="workflow_table_123")
TypeScript
await client.tables.delete("workflow_table_123");
Go
err := client.Tables.Delete(ctx, "workflow_table_123")
Java
// Delete a table by id.
cURL
curl -X DELETE https://api.retab.com/v1/tables/workflow_table_123 \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Path Parameters

table_id
string
required

Response

Successful Response

tables
WorkflowTable · object[]